Package logilab :: Package common :: Module urllib2ext :: Class HTTPGssapiAuthHandler

[frames] | no frames]

# Class HTTPGssapiAuthHandler

source code

    urllib2.BaseHandler --+
                          |
                         HTTPGssapiAuthHandler

Negotiate HTTP authentication using context from GSSAPI

Instance Methods

__init__(self) | source code

clean_context(self) | source code

http_error_401(self, req, fp, code, msg, headers) | source code

Inherited from `urllib2.BaseHandler`: `__lt__`, `add_parent`, `close`

Class Variables
| handler_order = `400`